Skip to main content
GET
/
v1
/
campaigns
List campaigns
curl --request GET \
  --url https://api-sandbox.y.uno/v1/campaigns \
  --header 'account-code: <api-key>' \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "status": "ACTIVE",
    "start_date": "2023-11-07T05:31:56Z",
    "end_date": "2023-11-07T05:31:56Z",
    "country": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]
Lists campaigns with optional filtering and pagination.

Authorizations

public-api-key
string
header
required

Your public API key from the Yuno Dashboard

private-secret-key
string
header
required

Your private secret key (server-side only)

account-code
string
header
required

Your account identifier. The alias X-Account-Code is also accepted.

Query Parameters

status
enum<string>

Filter by status

Available options:
ACTIVE,
INACTIVE,
DRAFT,
EXPIRED
limit
integer
default:20

Maximum number of results to return

Required range: x <= 100
starting_after
string

Cursor for forward pagination. Pass the ID of the last item from the previous page.

ending_before
string

Cursor for backward pagination. Pass the ID of the first item from the previous page.

Response

200 - application/json

List of campaigns

id
string<uuid>
name
string
description
string
status
enum<string>
Available options:
ACTIVE,
INACTIVE,
DRAFT,
EXPIRED
start_date
string<date-time>
end_date
string<date-time>
country
string
created_at
string<date-time>
updated_at
string<date-time>